﻿/* Variables */
/* AzulPrincipal: #005f84*/

/* Body */
body {
	padding: 0px;
	background-color: white;
	overflow-x: hidden;
	overflow-y: auto;
	margin-right: 20px;
}
html, body {
	margin: 0px;	
}
* {
    box-sizing: border-box;
}
.row::after {
    content: "";
    clear: both;
    display: table;
}
html input[type=text], input[type=password], textarea, select {
    margin-top: 3px;
    margin-bottom: 3px;
    border-radius: 3px 3px 3px 3px;
    -moz-border-radius: 3px 3px 3px 3px;
    -webkit-border-radius: 3px 3px 3px 3px;
    border: 1px solid gainsboro;
    padding: 4px 8px 4px 8px;
    -webkit-transition: -webkit-box-shadow 0.3s;
    -moz-transition: -moz-box-shadow 0.3s;
    -o-transition: box-shadow 0.3s;
    transition: box-shadow 0.3s;
    outline: none;
}
    html input[type=text]:focus, input[type=password]:focus, textarea:focus, select:focus {
        -webkit-box-shadow: 0px 0px 5px 0px rgba(47,79,153,1);
        -moz-box-shadow: 0px 0px 5px 0px rgba(47,79,153,1);
        box-shadow: 0px 0px 5px 0px rgba(47,79,153,1);
        border: 1px solid gainsboro;
    }
.campoBloqueado {
	background-color: gainsboro;
	font-weight: bold;
	border: 0px solid white;
	text-align:center;
}
.campoBloqueadoDerecha {
	background-color: gainsboro;
	font-weight: bold;
	border: 0px solid white;
	text-align: right;
}
div.cuerpo {
	margin: auto;
	height: calc(100vh - 140px);
	height: -o-calc(100vh - 140px);
	height: -webkit-calc(100vh - 140px);
	height: -moz-calc(100vh - 140px);
}
div.encabezado {
    height: 45px;
    background-color: white;
    border-bottom: 2px #005f84 solid;
}
    div.encabezado div.iconoLogo1 {
        float: left;
        margin-top: 5px;
        margin-bottom: 10px;
        margin-left: 10px;
        width: 159px;
        height: 30px;
        background: url('logo-app.png') no-repeat;
    }
    div.encabezado div.iconoLogo2 {
        float: left;
        margin-top: 5px;
        margin-bottom: 10px;
        margin-left: 10px;
        width: 159px;
        height: 30px;
        background: url('logo-hp.png') no-repeat;
    }
    div.encabezado div.iconoMenu {
        display:table-cell;        
        float:right;
        text-align:right;
        cursor:pointer;
        border: 0px solid #00B1F4;     
    }
    div.encabezado div.iconoMenu img {
        display:inline-block;
        margin: 5px 10px 10px 0px;
        float:right;
    }
div.menuPrincipal { 
    overflow:hidden;    
    position:absolute;
    top:45px;
    left:0px;
    width:100%;
    padding:2px;
    border: 1px gainsboro solid;
    background-color:#005f84;
    display:none;
}
    div.menuPrincipal .menu {
        display: block;
        border-width: 0px 0px 1px 0px;
        border-color: gainsboro;
        border-style: solid;
        outline: none;
        cursor: pointer;
        -webkit-transition: all 0.3s;
        -moz-transition: all 0.3s;
        -o-transition: all 0.3s;
        transition: all 0.3s;
        vertical-align: middle;
        background-color: white;
        white-space: nowrap;
        height: 30px;
        width: 100%;
        text-align: left;
        background-color: white;        
    }    
    div.menuPrincipal .menu.active {
        background-color: #005f84;
        color: white;
    }
.botonAgregarFicha {
    padding-left: 28px;
    background: url('../Images/agregar-ficha.png') left center no-repeat;
    background-size: auto;
}

    .botonAgregarFicha:hover {
        background: url('../Images/agregar-ficha-blanco.png') left center no-repeat;
    }
.menuNotificacion {
    display: none;
    cursor: pointer;
    display: table-cell;
    vertical-align: top;
    border-width: 0;
    font-size: 12px;
    display: table-cell;
    width: 30px;
    height: 30px;
    font-weight: bold;
    color: white;
    border-radius: 14px 0 0 0;
    -moz-border-radius: 14px 0 0 0;
    -webkit-border-radius: 14px 0 0 0;
}
div .cintaInformacion {
    vertical-align: top;
    height: 80px;
    margin-top: 5px;
}
	div.cintaInformacion .tablaInformacion {
		width: 100%;
		height: 80px;
		max-height: 80px;
		border: 1px gray solid;
		border-radius: 5px 5px 5px 5px;
		-moz-border-radius: 5px 5px 5px 5px;
		-webkit-border-radius: 5px 5px 5px 5px;		
	}
	div.cintaInformacion .celdaInformacion {
		height: 74px;
		overflow: visible;
	}
	div.cintaInformacion .celdaInformacion .menuIcono {
		height: 60px;
		width: 65px;
		margin-left: 10px;
		background-size: contain;
		overflow: visible;
		cursor: pointer;
	}	
	div .cintaInformacion .celdaInformacion .menuContador {
		background: #FFD800;
		width: 40px;
		text-align: center;
		vertical-align: middle;
		font-weight: bold;
		margin-top: +40px;
		margin-right:-5px;
		font-size: 10px;
		padding:5px;
		border: black 1px solid;
		float: right;		
	}	
	div .cintaInformacion .datosUsuario {
		width: auto;
		border: 1px gainsboro solid;
		vertical-align: middle;
		text-align: center;
		padding-right: 8px;
		padding-left: 8px;
		display:none;
	}

div.areaTrabajo {
    padding: 10px 10px 10px 10px;
    background-color: white;
    overflow: hidden;
}

div.piePagina {
    display:table;
    width:100%;
    padding: 10px 10px 10px 10px;
    min-height:100px;
    background-color: gray;
    color: white;    
    font-family: sans-serif;
    font-size: 12px;
}
    div.piePagina [class~=celda] {
        display:block;
        padding: 10px 5px 15px 5px;
        vertical-align:top;
        text-align:left;
        border-top: gainsboro 0px solid;
    }
    div.piePagina [class=seccion] {
        display: block;
        font-weight: bold;
        margin-bottom:15px;
    }
    div.piePagina [class=datos] {
        display: block;
        cursor: pointer;        
        text-decoration: underline;
    }

/*Cuadro de dialogo y bordes*/
.cuadro {
    margin:auto;
    vertical-align:top;
    background-color:white;
    padding:10px;
    border: 1px solid gray;
}

.bordeSombra {
    -webkit-box-shadow: 5px 5px 24px -3px rgba(0,0,0,0.75);
    -moz-box-shadow: 5px 5px 24px -3px rgba(0,0,0,0.75);
    box-shadow: 5px 5px 24px -3px rgba(0,0,0,0.75);
}

.bordeCircular {
    border-radius: 7px 7px 7px 7px;
    -moz-border-radius: 7px 7px 7px 7px;
    -webkit-border-radius: 7px 7px 7px 7px;
}
.bordeCircularIzquierdo {
    border-radius: 7px 0px 0px 7px;
    -moz-border-radius: 7px 0px 0px 7px;
    -webkit-border-radius: 7px 0px 0px 7px;
}
.cuadroModal {

    margin:auto;
    background-color:white;
    border:1px solid gray;
    padding:10px;
}

/*Botones*/
.botonAccion {
    margin-top: 8px;
    width: 100%;
    display: block;
    min-width: 130px;
    height: 30px;
    border: 0px;
    background-color: #005f84;
    color: white;
    font-weight: bold;
    cursor: pointer;
    border-radius: 3px 3px 3px 3px;
    -moz-border-radius: 3px 3px 3px 3px;
    -webkit-border-radius: 3px 3px 3px 3px;
    padding-left: 15px;
    padding-right: 15px;
    -webkit-appearance: none;
    -moz-appearance: none;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
}
.botonSeleccionarTodo
{
    background-image: url('../Images/select-all.svg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: 22px 22px;
    color: white;
    min-width: 40px;
}  
.botonCerrar {
    float: right;
    height: 30px;
    width: 30px;
    cursor: pointer;
    border: 0px;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
    background: transparent url('../Images/close.png') no-repeat;
}
.botonActualizar {
    height: 30px;
    width: 30px;
    float: right;
    margin-left: 10px;
    margin-right: 10px;
    cursor: pointer;
    border: 0px;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
    background: transparent url('../Images/refresh.png') no-repeat;
}
.botonActualizarValidacion {
    height: 30px;
    width: 30px;
    cursor: pointer;
    border: 0px;
    margin-top: 10px;
    float: right;
    background: transparent url('../Images/refresh.png') no-repeat;
}
.botonFormaOpcion {
    height: 25px;
    width: 100%;
    display: block;
    border: 1px solid #005f84;
    background-color: white;
    color: #005f84;
    font-weight: bold;
    cursor: pointer;
    border-radius: 3px 3px 3px 3px;
    -moz-border-radius: 3px 3px 3px 3px;
    -webkit-border-radius: 3px 3px 3px 3px;
    padding-left: 15px;
    padding-right: 15px;
    -webkit-appearance: none;
    -moz-appearance: none;
    font-size: 12px;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
}
.botonBorrar {
    margin-top: 8px;
    display: block;
    min-width: 100px;
    width: 100%;
    height: 25px;
    border: 1px solid #CC0000;
    background-color: white;
    color: #CC0000;
    font-weight: bold;
    cursor: pointer;
    border-radius: 3px 3px 3px 3px;
    -moz-border-radius: 3px 3px 3px 3px;
    -webkit-border-radius: 3px 3px 3px 3px;
    padding-left: 15px;
    padding-right: 15px;
    -webkit-appearance: none;
    -moz-appearance: none;
    font-size: 12px;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
    float: left;
}
.botonForma {
    min-width: 100px;
    height: 25px;
    border: 1px solid #005f84;
    background-color: white;
    color: #005f84;
    font-weight: bold;
    cursor: pointer;
    border-radius: 3px 3px 3px 3px;
    -moz-border-radius: 3px 3px 3px 3px;
    -webkit-border-radius: 3px 3px 3px 3px;
    padding-left: 15px;
    padding-right: 15px;
    -webkit-appearance: none;
    -moz-appearance: none;
    font-size: 12px;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
}
.botonFormaListado {
    min-width: 100px;
    border: 1px solid #005f84;
    background-color: white;
    color: #005f84;
    font-weight: bold;
    cursor: pointer;
    border-radius: 3px 3px 3px 3px;
    -moz-border-radius: 3px 3px 3px 3px;
    -webkit-border-radius: 3px 3px 3px 3px;
    padding: 0px 15px 0px 15px;
    -webkit-appearance: none;
    -moz-appearance: none;
    font-size: 12px;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
}
.botonMenuFichaNueva input {
    min-width: 100px;
    display: block;
    border-width: 1px 0px 0px 0px;
    border-color: gainsboro;
    border-style: solid;
    outline: none;
    cursor: pointer;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
    vertical-align: middle;
    background-color: white;
    white-space: nowrap;
    width: 100%;
    text-align: center;
    background-color: white;
    font-size:18px;
    height:40px;
}
    .botonMenuFichaNueva input:last-child {
        border-width: 1px 0px 1px 0px;
    }
    .botonMenuFichaNueva input.active {
        background-color: #005f84;
        color: white;
    }
    .botonMenuFichaNueva input:hover {
        background-color: #6a8aa8;
        color: white;
    }

.mensajeError {    
    border-radius: 6px 6px 6px 6px;
    -moz-border-radius: 6px 6px 6px 6px;
    -webkit-border-radius: 6px 6px 6px 6px;
    font-weight: bold;
    background-color: #CC0000;
    color: white;
    display: block;
    padding: 8px 15px 8px 15px;
    margin-top: 5px;
    margin-left: -10px;
    text-align:left;
    position: absolute;
}
.mensajeAdvertencia {
    border-radius: 6px 6px 6px 6px;
    -moz-border-radius: 6px 6px 6px 6px;
    -webkit-border-radius: 6px 6px 6px 6px;
    font-weight: bold;
    background-color: #ffcc00;
    color: white;
    display: block;
    padding: 8px 15px 8px 15px;
    text-align: left;
    margin: 10px 0 0 0;
}
.mensajeBloqueo {
    border-radius: 6px 6px 6px 6px;
    -moz-border-radius: 6px 6px 6px 6px;
    -webkit-border-radius: 6px 6px 6px 6px;
    font-weight: bold;
    background-color: #ff8080;
    color: white;
    display: block;
    padding: 8px 15px 8px 15px;
    text-align: left;
    margin: 10px 0 0 0;
}

/*Checkboxes*/
input[type=checkbox].css-checkbox {
	position:absolute; z-index:-1000; left:-1000px; overflow: hidden; clip: rect(0 0 0 0); height:1px; width:1px; margin:-1px; padding:0; border:0;
}
input[type=checkbox].css-checkbox + label.css-label {
	padding-left:35px;
	height:25px; 
	display:inline-block;
	line-height:25px;
	background-repeat:no-repeat;
	background-position: 0 0;
	vertical-align:middle;
	cursor:pointer;

}
input[type=checkbox].css-checkbox:checked + label.css-label {
	background-position: 0 -25px;
}
label.css-label {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: url('../Images/chk-image2.png');
    margin-top: 2px;
    margin-bottom: 2px;
}

/*Checkbox List*/
.css-checkboxlist input[type=checkbox] {
	position: absolute;
	z-index: -1000;
	left: -1000px;
	overflow: hidden;
	clip: rect(0 0 0 0);
	height: 1px;
	width: 1px;
	margin: -1px;
	padding: 0;
	border: 0;
}
	.css-checkboxlist input[type=checkbox] + label {
		padding-left: 35px;
		height: 25px;
		display: inline-block;
		line-height: 25px;
		background-repeat: no-repeat;
		background-position: 0 0;
		vertical-align: middle;
		cursor: pointer;
	}
	.css-checkboxlist input[type=checkbox]:checked + label {
		background-position: 0 -25px;
	}

.css-checkboxlist label {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: url('../Images/chk-image2.png');
    margin-top: 2px;
    margin-bottom: 2px;
}

/*Radiobutton List*/
.css-radiolist input[type=radio] {
	position: absolute;
	z-index: -1000;
	left: -1000px;
	overflow: hidden;
	clip: rect(0 0 0 0);
	height: 1px;
	width: 1px;
	margin: -1px;
	padding: 0;
	border: 0;
}

	.css-radiolist input[type=radio] + label {
		padding-left: 35px;
		height: 25px;
		display: inline-block;
		line-height: 25px;
		background-repeat: no-repeat;
		background-position: 0 0;
		vertical-align: middle;
		cursor: pointer;
	}

	.css-radiolist input[type=radio]:checked + label {
		background-position: 0 -25px;
	}

.css-radiolist label {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: url('../Images/chk-image3.png');
    margin-top: 2px;
    margin-bottom: 2px;
}


/*Select list*/
/*select.css-select {
    background-image: url('../Images/15xvbd5.png'), -webkit-linear-gradient(#FAFAFA, #F4F4F4 40%, #E5E5E5);
    background-image: url('../Images/15xvbd5.png'), linear-gradient(#FAFAFA, #F4F4F4 40%, #E5E5E5);
    background-image: url('../Images/15xvbd5.png'), -moz-linear-gradient(#FAFAFA, #F4F4F4 40%, #E5E5E5);
    margin-top: 5px;
    margin-bottom: 5px;
    -webkit-appearance: none;
    -webkit-border-radius: 2px;
    -webkit-box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.1);
    -webkit-padding-end: 20px;
    -webkit-padding-start: 2px;
    -webkit-user-select: none;
    appearance: none;
    border-radius: 2px;
    box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.1);
    user-select: none;
    padding-end: 20px;
    padding-start: 2px;
    -moz-appearance: none;
    -moz-border-radius: 2px;
    -moz-box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.1);
    -moz-user-select: none;
    -moz-padding-end: 20px;
    -moz-padding-start: 2px;
    background-position: 97% center;
    background-repeat: no-repeat;
    border: 1px solid #AAA;
    color: #555;
    overflow: hidden;
    padding: 5px 10px;
    text-overflow: ellipsis;
    white-space: nowrap;
    outline: none;
    text-indent: 1px;
    text-overflow: '';
}
select.css-select::-ms-expand {
    display: none;
}

select.css-selectlist option {
	font-family: AvenirNextLTPro, Arial, Sans-Serif;
	font-size: 14px;
}*/

/* For mobile phones: */
[class*="col-"] {
    width: 100%;
}

@media only screen and (min-width: 600px) {
    /* For tablets: */
    .col-m-1 {width: 8.33%;}
    .col-m-2 {width: 16.66%;}
    .col-m-3 {width: 25%;}
    .col-m-4 {width: 33.33%;}
    .col-m-5 {width: 41.66%;}
    .col-m-6 {width: 50%;}
    .col-m-7 {width: 58.33%;}
    .col-m-8 {width: 66.66%;}
    .col-m-9 {width: 75%;}
    .col-m-10 {width: 83.33%;}
    .col-m-11 {width: 91.66%;}
    .col-m-12 {width: 100%;}
       
    div.piePagina {
        margin:auto;
        width:85%;
    }

    div.piePagina [class~=celda] {
        display: table-cell;
    }
    div.menuPrincipal {
        border: none;
        display: table;
        float: right;
        margin-left:auto;
        margin-right:5px;
        margin-top:13px;
        position:static;
        top:initial;
        left:initial;
        width:auto;
        padding:0px;
        background-color:transparent;
    }
    div.menuPrincipal .menu {
        display: table-cell;
        width: auto;
        border: none;
    }
        div.menuPrincipal .menu:hover {
            background-color: #6a8aa8;
            color: white;
        }

    .menuNotificacion {
        display: table-cell;
    }
    div .encabezado div.iconoMenu {
        display: none;
    }    

	.botonAccion {
		margin-top: 0px;
		display: inline-block;
		width: auto;
	}
		.botonAccion:hover
		{        
			background-color:#6a8aa8;
		}
	.botonCerrar:hover {
		background-color: #6a8aa8;
	}
	.botonFormaOpcion {
		min-width: 100px;
		display: inline-block;
		width: auto;
	}
		.botonFormaOpcion:hover {
			background-color: #6a8aa8;
			color: white;
			border-color: #6a8aa8;
		}
	.botonForma:hover
    {        
        background-color:#6a8aa8;
        color:white;
        border-color:#6a8aa8;
    }    
    .botonBorrar {
        margin-top:0px;
        display:inline-block;
        width:auto;
    }

    div.areaTrabajo {
        overflow:visible;
    }
    div.cintaInformacion {
        margin-left:10px;
        margin-right:10px;
    }
    div.cintaInformacion .celdaInformacion {
        display: table-cell;
    }	
	div .cintaInformacion .datosUsuario {
		width: 150px;
		height:inherit;
	}
}
@media only screen and (min-width: 900px) {
    /* For desktop: */
    .col-1 {width: 8.33%;}
    .col-2 {width: 16.66%;}
    .col-3 {width: 25%;}
    .col-4 {width: 33.33%;}
    .col-5 {width: 41.66%;}
    .col-6 {width: 50%;}
    .col-7 {width: 58.33%;}
    .col-8 {width: 66.66%;}
    .col-9 {width: 75%;}
    .col-10 {width: 83.33%;}
    .col-11 {width: 91.66%;}
    .col-12 {width: 100%;}

    div.piePagina {
        margin: auto;
        width: 70%;
    }

}

@media (pointer: coarse) {
  
}

@media (pointer: fine) {
  
}
.mayusculas {
    text-transform: uppercase;
}

.minusculas {
	text-transform: lowercase;
}

.copiarCampoClick {
    cursor: pointer;
    background-repeat: no-repeat;
    background-position-y: center;
    background-position-x: right;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;    
}
.copiarCampoClick:hover {
    background-image: url('../Images/copy.png');
}
.contenedorSelectList {
    padding: 3px 0 3px 0;
    display: inline-block;
    width: 100%;
}
